-- Created by: Danny Bloemendaal, danny@bloemeland.nl
-- Version 0.9.1

print('Handle timer events')

-- make sure we can find our modules
local scriptPath = debug.getinfo(1).source:match("@?(.*/)")
package.path    = package.path .. ';' .. scriptPath .. '?.lua'

commandArray = {}

local helpers = require('event_helpers')
local eventBindings = helpers.getTimerHandlers()
local continue = true
local commandIndex = 0

if (eventBindings == nil) then
	print('No registry found')
	return commandArray -- end of the line
end

continue, commandArray, commandIndex = helpers.handleEvents(eventBindings, nil, commandArray, commandIndex, continue)

helpers.dumpCommandArray(commandArray)

return commandArray